ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Levy-Lambert <anto...@gmx.de>
Subject Re: AW: Ant 1.7 release
Date Thu, 01 Jun 2006 14:57:35 GMT

> -------- Original-Nachricht --------
> Datum: Thu, 1 Jun 2006 16:36:11 +0200
> Von: <Jan.Materne@rzf.fin-nrw.de>
> An: <dev@ant.apache.org>
> Betreff: AW: Ant 1.7 release
> 
> >Not sure if we can build Ant 1.7 under JDK 1.5 also all in one 
> >go and still produce jars which can run under 1.2.
> 
> Should be possible (but I would do a test after the build...)
> 

> So a  -target 1.2  should work the job - which is the default behaviour
> in our buildfile (property javac.target).
> Could only produce troubles if there is use of Java5 language stuff in
> the JDK5-only classes (e.g. enum, generic).
> 

This is not the case. There is one class called ProxyDiagnostics under util/java15, it uses
JDK 1.5 APIs but no generics or enum. So in principle, it should be possible to build Ant
1.7 in one shot under JDK 1.5

> Jan
> 
Regards,

Antoine

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message